// Local Actions
export var QuestionTypes;
(function (QuestionTypes) {
    QuestionTypes["OpenText"] = "open";
    QuestionTypes["Cover"] = "cover";
    QuestionTypes["SingleSelect"] = "single";
    QuestionTypes["MultipleSelect"] = "multiple";
    QuestionTypes["Next"] = "next";
    QuestionTypes["Skip"] = "skip";
    QuestionTypes["Back"] = "back";
    QuestionTypes["Reset"] = "reset";
    QuestionTypes["Hydrate"] = "hydrate";
    QuestionTypes["Complete"] = "complete";
})(QuestionTypes || (QuestionTypes = {}));
// API actions
export var QuizAPIActionTypes;
(function (QuizAPIActionTypes) {
    QuizAPIActionTypes[QuizAPIActionTypes["SET_IS_LOADING"] = 0] = "SET_IS_LOADING";
    QuizAPIActionTypes[QuizAPIActionTypes["SET_IS_ERROR"] = 1] = "SET_IS_ERROR";
    QuizAPIActionTypes[QuizAPIActionTypes["SET_QUIZ_RESULTS"] = 2] = "SET_QUIZ_RESULTS";
    QuizAPIActionTypes[QuizAPIActionTypes["SET_CURRENT_QUESTION"] = 3] = "SET_CURRENT_QUESTION";
    QuizAPIActionTypes[QuizAPIActionTypes["RESET_QUIZ"] = 4] = "RESET_QUIZ";
    QuizAPIActionTypes[QuizAPIActionTypes["SET_QUIZ_SHARED_RESULTS"] = 5] = "SET_QUIZ_SHARED_RESULTS";
    QuizAPIActionTypes[QuizAPIActionTypes["SET_QUIZ_RESULTS_CONFIG"] = 6] = "SET_QUIZ_RESULTS_CONFIG";
    QuizAPIActionTypes[QuizAPIActionTypes["SET_QUIZ_RESULTS_CONFIG_ERROR"] = 7] = "SET_QUIZ_RESULTS_CONFIG_ERROR";
})(QuizAPIActionTypes || (QuizAPIActionTypes = {}));
