"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const context_1 = tslib_1.__importDefault(require("../CioQuiz/context"));
function ResultCtaButton(props) {
    const { item, price } = props;
    const { getAddToCartButtonProps } = (0, react_1.useContext)(context_1.default);
    if (getAddToCartButtonProps) {
        return (
        // eslint-disable-next-line react/button-has-type
        react_1.default.createElement("button", Object.assign({}, getAddToCartButtonProps(item, price)), "Add to Cart"));
    }
    return null;
}
exports.default = ResultCtaButton;
