"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function useShareResultsLink(quizState) {
    var _a, _b, _c;
    const urlObj = new URL(window.location.href);
    const existingParams = urlObj.searchParams;
    if (!((_b = (_a = quizState.results) === null || _a === void 0 ? void 0 : _a.response) === null || _b === void 0 ? void 0 : _b.results)) {
        throw new Error("Can't generate share link without results");
    }
    existingParams.set('items', quizState.results.response.results
        .filter((item) => { var _a; return (_a = item.data) === null || _a === void 0 ? void 0 : _a.id; })
        .map((item) => item.data.id)
        .join(',') || '');
    existingParams.set('attributes', ((_c = quizState.selectedOptionsWithAttributes) === null || _c === void 0 ? void 0 : _c.map((option) => option).join(',')) || '');
    const value = urlObj.toString();
    return value;
}
exports.default = useShareResultsLink;
