import { RequestStates } from '../../constants';
import { CurrentQuestion, NextQuestionResponse, QuizResultsResponse, QuizSharedResultsData, QuizResultsConfig } from '../../types';
import { ActionQuizAPI } from './actions';
export type QuizAPIReducerState = {
    quizRequestState: RequestStates;
    quizCurrentQuestion?: CurrentQuestion;
    quizFirstQuestion?: NextQuestionResponse;
    quizResults?: QuizResultsResponse | QuizSharedResultsData;
    selectedOptionsWithAttributes?: string[];
    resultsConfig?: QuizResultsConfig | null;
};
export declare const initialState: QuizAPIReducerState;
export default function apiReducer(state: QuizAPIReducerState, action: ActionQuizAPI): QuizAPIReducerState;
